xf86-video-ati upgrade removes libgbm.so

From: Jose Quinteiro <freebsd_at_quinteiro.org>
Date: Wed, 21 Jul 2021 16:31:21 -0700
Several users on the forums report missing libgbm.so after a package
upgrade. Forum user Vull tracked this down to upgrading xf86-video-ati.

It appears the package installs libglvnd, which partially conflicts with
mesa-libs. The latter is removed, but should probably be re-installed as
libglvnd does not provide libgbm.so, and it is expected packages can
depend on both mesa-libs and libglvnd:
https://lists.freebsd.org/archives/freebsd-ports/2021-June/000189.html

Here's a log of Vull's upgrade session:

Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 4 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	libglvnd: 1.3.3

Installed packages to be UPGRADED:
	libdrm: 2.4.104,1 -> 2.4.106,1
	xf86-video-ati: 19.1.0_3,1 -> 19.1.0_4,1
	xorg-server: 1.20.11,1 -> 1.20.11_3,1

Number of packages to be installed: 1
Number of packages to be upgraded: 3

The process will require 4 MiB more space.
2 MiB to be downloaded.

Proceed with this action? [y/N]: [1/4] Fetching
xf86-video-ati-19.1.0_4,1.txz: .......... done
[2/4] Fetching libdrm-2.4.106,1.txz: .......... done
[3/4] Fetching xorg-server-1.20.11_3,1.txz: .......... done
[4/4] Fetching libglvnd-1.3.3.txz: .......... done
Checking integrity... done (1 conflicting)
  - libglvnd-1.3.3 conflicts with mesa-libs-20.2.3 on
/usr/local/include/EGL/egl.h
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 6 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	libglvnd: 1.3.3

Installed packages to be UPGRADED:
	libdrm: 2.4.104,1 -> 2.4.106,1
	xf86-video-ati: 19.1.0_3,1 -> 19.1.0_4,1
	xorg-server: 1.20.11,1 -> 1.20.11_3,1

Number of packages to be installed: 1
Number of packages to be upgraded: 3

The process will require 4 MiB more space.

Proceed with this action? [y/N]: Fetching mesa-libs-20.2.3_1.txz:
.......... done
[1/6] Upgrading libdrm from 2.4.104,1 to 2.4.106,1...
[1/6] Extracting libdrm-2.4.106,1: .......... done
[1/6] Installing mesa-libs-20.2.3_1...
[1/6] Extracting mesa-libs-20.2.3_1: .......... done
[2/6] Deinstalling mesa-libs-20.2.3...
[2/6] Deleting files for mesa-libs-20.2.3: .......... done
[3/6] Installing libglvnd-1.3.3...
[3/6] Extracting libglvnd-1.3.3: .......... done
[4/6] Upgrading xorg-server from 1.20.11,1 to 1.20.11_3,1...
[4/6] Extracting xorg-server-1.20.11_3,1: .......... done
[5/6] Upgrading xf86-video-ati from 19.1.0_3,1 to 19.1.0_4,1...
[5/6] Extracting xf86-video-ati-19.1.0_4,1: ........ done

Thanks,
Jose
Received on Wed Jul 21 2021 - 23:31:21 UTC

Original text of this message